Source: golang-github-yl2chen-cidranger
Section: devel
Priority: optional
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Sascha Steinbiss <satta@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-github-stretchr-testify-dev
Standards-Version: 4.5.0
Homepage: https://github.com/yl2chen/cidranger
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-yl2chen-cidranger
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-yl2chen-cidranger.git
XS-Go-Import-Path: github.com/yl2chen/cidranger
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-go

Package: golang-github-yl2chen-cidranger-dev
Architecture: all
Depends: ${misc:Depends},
         golang-github-stretchr-testify-dev
Description: Fast IP to CIDR lookup in Golang
 The cidranger library provides fast IP to CIDR block(s) lookup using
 path-compressed prefix tries in Golang, inspired by IPv4 route lookup in
 Linux.
 Possible use cases include detecting if a IP address is from published
 cloud provider CIDR blocks (e.g. "is 52.95.110.1 contained in AWS Route
 53 CIDR 52.95.110.0/24?"), IP routing rules, etc.
